Bug 38655 - Update Windows VirtIO driver 0.1.105
Update Windows VirtIO driver 0.1.105
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - KVM
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0-2-errata
Assigned To: Philipp Hahn
Felix Botner
: interim-3
Depends on: 35768 35970 36122
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-05 13:07 CEST by Tobias Birkefeld
Modified: 2015-07-03 14:08 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Birkefeld univentionstaff 2015-06-05 13:07:20 CEST
viostor.sys not post-installable for Windows 2012 64 bit, fixed upstream in version 0.1.105, we should update our package.

see the original bug for more information:
https://bugzilla.redhat.com/show_bug.cgi?id=1226928
https://bugzilla.redhat.com/show_bug.cgi?id=1227164

+++ This bug was initially created as a clone of Bug #36122 +++

+++ This bug was initially created as a clone of Bug #35768 and Bug #27717 +++

The univention-kvm-virtio packages should be updated to the latest version of the VirtIO drivers from <http://alt.fedoraproject.org/pub/alt/virtio-win/stable/>: 0.1-65 → 0.1-81
Comment 1 Philipp Hahn univentionstaff 2015-07-01 19:39:15 CEST
r61633 | Bug #38655 VirtIO: Update VirtIO driver
r61631 | Bug #38655 KVM: Copyright 2015
r61630 | Bug #38655 KVM: Update VirtIO windows drivers
 Updates to 0.1.105

Package: univention-kvm-virtio
Version: 4.0.0-3.10.201507011932
Branch: ucs_4.0-0
Scope: errata4.0-2

r61635 | Bug #38655 VirtIO: Update VirtIO driver YAML
 2015-07-01-univention-kvm-virtio.yaml

OK: mount -o loop,ro /var/lib/libvirt/images/KVM\ Windows\ drivers\ \(virtio\ 1.1.105\).iso /cdrom/
Comment 2 Felix Botner univentionstaff 2015-07-02 15:39:51 CEST
OK - win8.1(x64)
OK - win7 (x32)
OK - win7 (x64)
OK - w2k12 (x64)
OK - w2k12r2 (x64)

OK - added paravirtualized disk post-install for Windows 2012 64 bit

OK - 2015-07-01-univention-kvm-virtio.yaml
Comment 3 Janek Walkenhorst univentionstaff 2015-07-03 14:08:06 CEST
<http://errata.univention.de/ucs/4.0/230.html>